import-module -name $PSScriptRoot\..\dadosValidacao.psm1
. $PSScriptRoot\..\..\_echo.ps1


function global:mu.validador.servidorLinuxPodeSerExecutado() {
    param(
        [Parameter(ValueFromPipeline)]
        $dadosValidacao
    )

    if ($dadosValidacao.configuracaoValida -eq $false) {
        return $dadosValidacao
    }

    if ($dadosValidacao.configuracoes.acessos.servidorLinux.configurar -ne $true) {
        return $dadosValidacao
    }

    _echo "Verificando servidor Linux"

    $scriptValidacao = "$($dadosValidacao.diretorioScriptsImplantacao)\scriptsPython\validar_servidor_linux.py"
    $argumentos = "$($dadosValidacao.enderecoArquivoConfiguracao) $($dadosValidacao.diretorioScriptsImplantacao)"

    $exitCode = mu.executarScriptPython -script $scriptValidacao -argumentos $argumentos

    if ($exitCode -ne 0) {
        $dadosValidacao.configuracaoValida = $false
        $dadosValidacao.codigoErro = "E000D"
        $dadosValidacao.mensagemErro = "Falha na validacao do servidor Linux"
    }

    return $dadosValidacao
}
